package com.pixelized.desktop.lwa.ui.navigation.window.destination

import androidx.compose.runtime.Stable
import androidx.compose.ui.unit.DpSize
import androidx.compose.ui.unit.dp
import com.pixelized.desktop.lwa.ui.navigation.window.WindowController

@Stable
class GameMasterWindow(
    title: String,
    size: DpSize,
) : Window(
    title = title,
    size = size,
)

fun WindowController.openGameMasterWindow(
    title: String = "Game master",
) {
    openWindow(
        window = GameMasterWindow(
            title = title,
            size = DpSize(
                width = 124.dp * 4 + 108.dp,
                height = maxWindowHeight - 32.dp,
            )
        )
    )
}